### Constructor

# GimpUi ColorButton new

#### Declaration [src]

    GtkWidget*
    gimp_color_button_new (
      const gchar* title,
      gint width,
      gint height,
      const GimpRGB* color,
      GimpColorAreaType type
    )

#### Description [src]

Creates a new `GimpColorButton` widget.

This returns a button with a preview showing the color. When the button is clicked a GtkColorSelectionDialog is opened. If the user changes the color the new color is written into the array that was used to pass the initial color and the “color-changed” signal is emitted.

#### Parameters

`title` | `const gchar*`
| String that will be used as title for the color_selector.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| Width of the colorpreview in pixels.
`height` | `gint`
| Height of the colorpreview in pixels.
`color` | `GimpRGB`
| A pointer to a `GimpRGB` color.
| The data is owned by the caller of the function.
`type` | `GimpColorAreaType`
| The type of transparency to be displayed.

#### Return value

Returns: | `GtkWidget`
| Pointer to the new `GimpColorButton` widget.
| The data is owned by the called function.